%define realname epg

Name: emacs-%realname
Version: 0.0.14
Release: alt1

Summary: EasyPG is an all-in-one GnuPG interface for Emacs
License: GPL
Group: File tools
Url: http://www.easypg.org
Source: %realname-%version.tar.gz
Source1: pgg-epg.el

Packager: Evgenii Terechkov <evg@altlinux.ru>
BuildArch: noarch
BuildPreReq: emacs-devel emacs-nox

%description
EasyPG is an all-in-one GnuPG interface for Emacs

%prep
%setup -n %realname-%version

%build
%configure --with-emacs --with-lispdir=%buildroot%_emacslispdir
%make_build

%install
%__make install DESTDIR=%buildroot

%__mkdir_p %buildroot%_emacslispdir
%__install -m 644 %SOURCE1 %buildroot%_emacslispdir

%__mkdir_p %buildroot%_emacs_sitestart_dir
%__cat >%buildroot%_emacs_sitestart_dir/%realname.el <<__EOF
; site-start script for Emacs, initializes EasyPG
; Evgenii Terechkov, April 2007, <evg@altlinux.ru>

(require 'epa-setup)
(setq pgg-scheme 'epg)
__EOF

%post
%install_info epa.info

%preun
%uninstall_info epa.info

%files
%_emacs_sitestart_dir/%realname.el
%_emacslispdir/%realname
%_emacslispdir/pgg-epg.el
%_infodir/epa.info*

%doc README AUTHORS NEWS

%changelog
* Fri Aug 24 2007 Terechkov Evgenii <evg@altlinux.ru> 0.0.14-alt1
- 0.0.14

* Thu Jun 21 2007 Terechkov Evgenii <evg@altlinux.ru> 0.0.13-alt1
- 0.0.13

* Wed Apr 18 2007 Terechkov Evgenii <evg@altlinux.ru> 0.0.11-alt1
- Initial build for Sisyphus
